%global git_commit cc0fa1801b077c139939bc963cff17fd65ebfca1
%global git_date 20140312

%global git_short_commit %(echo %{git_commit} | cut -c -8)
%global git_suffix %{git_date}git%{git_short_commit}

# git clone git://github.com/bistromath/gr-air-modes.git
# cd %%{name}
# git archive --format=tar --prefix=%%{name}-%%{version}/ %%{git_commit} | \
# bzip2 > ../%%{name}-%%{version}-%%{git_suffix}.tar.bz2

Name:             gr-air-modes
URL:              http://github.com/bistromath/gr-air-modes
Version:          0
Release:          0.32.%{git_suffix}%{?dist}
License:          GPLv3+
BuildRequires:    cmake, python-devel, numpy, scipy, gnuradio-devel
BuildRequires:    sqlite-devel, uhd-devel, boost-devel, doxygen, graphviz
BuildRequires:    swig, PyQt4-devel, qwt-devel, python-zmq
Requires:         numpy, scipy, PyQt4, PyQwt, python-zmq
Requires(post):   /sbin/ldconfig
Requires(postun): /sbin/ldconfig
Group:            Applications/Communications
Summary:          SDR receiver for Mode S transponder signals (ADS-B)
Source0:          %{name}-%{version}-%{git_suffix}.tar.bz2

%description
Software defined radio receiver for Mode S transponder signals, including
ADS-B reports.

%package devel
Summary:          Development files for gr-air-modes
Group:            Applications/Communications
Requires:         %{name} = %{version}-%{release}

%description devel
Development files for gr-air-modes.

%package doc
Summary:          Documentation files for gr-air-modes
Group:            Applications/Communications
Requires:         %{name} = %{version}-%{release}
BuildArch:        noarch

%description doc
Documentation files for gr-air-modes.

%prep
%setup -q

%build
mkdir build
cd build
%cmake -DENABLE_DOXYGEN=on ..
# parallel build is currently broken
make

%install
cd build
make install DESTDIR=%{buildroot}

# remove hashbangs
pushd %{buildroot}%{python_sitearch}/air_modes
for f in *.py
do
  sed -i '/^[ \t]*#!\/usr\/bin\/\(env\|python\)/ d' $f
done
popd

# fix docs
mkdir -p %{buildroot}%{_docdir}/%{name}
mv %{buildroot}%{_docdir}/gr-gr-air-modes/* %{buildroot}%{_docdir}/%{name}/
rmdir %{buildroot}%{_docdir}/gr-gr-air-modes

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%doc AUTHORS COPYING README
%exclude %{_docdir}/%{name}/html
%exclude %{_docdir}/%{name}/xml
%{_bindir}/uhd_modes.py
%{_bindir}/modes_gui
%{_bindir}/modes_rx
%{_libdir}/*.so.*
%{python_sitearch}/*

%files devel
%{_includedir}/gr_air_modes
%{_libdir}/*.so


%files doc
%doc %{_docdir}/%{name}/html
%doc %{_docdir}/%{name}/xml

%changelog
* Sat May 16 2015 Jaroslav Škarvada <jskarvad@redhat.com> - 0-0.32.20140312gitcc0fa180
- Rebuilt for new gnuradio

* Sat May 02 2015 Kalev Lember <kalevlember@gmail.com> - 0-0.31.20140312gitcc0fa180
- Rebuilt for GCC 5 C++11 ABI change

* Sat Mar  7 2015 Jaroslav Škarvada <jskarvad@redhat.com> - 0-0.30.20140312gitcc0fa180
- Rebuilt for new gnuradio

* Thu Jan 29 2015 Petr Machata <pmachata@redhat.com> - 0-0.29.20140312gitcc0fa180
- Rebuild for boost 1.57.0

* Thu Oct 23 2014 Jaroslav Škarvada <jskarvad@redhat.com> - 0-0.28.20140312gitcc0fa180
- Rebuilt for new gnuradio

* Tue Sep  2 2014 Jaroslav Škarvada <jskarvad@redhat.com> - 0-0.27.20140312gitcc0fa180
- Rebuilt for new gnuradio

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.26.20140312gitcc0fa180
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Thu Jul 17 2014 Jaroslav Škarvada <jskarvad@redhat.com> - 0-0.25.20140312gitcc0fa180
- Rebuilt for new gnuradio

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.24.20140312gitcc0fa180
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun May 25 2014 Petr Machata <pmachata@redhat.com> - 0-0.23.20140312gitcc0fa180
- Rebuild for boost 1.55.0

* Fri May 23 2014 David Tardon <dtardon@redhat.com> - 0-0.22.20140312gitcc0fa180
- rebuild for boost 1.55.0

* Wed Mar 12 2014 Jaroslav Škarvada <jskarvad@redhat.com> - 0-0.21.20140312gitcc0fa180
- New version
- Dropped build-fix patch (not needed)

* Tue Mar 11 2014 Jaroslav Škarvada <jskarvad@redhat.com> - 0-0.20.20130730git797bef13
- Rebuilt for new gnuradio

* Mon Dec  2 2013 Jaroslav Škarvada <jskarvad@redhat.com> - 0-0.19.20130730git797bef13
- Rebuilt for new gnuradio

* Mon Nov 18 2013 Jaroslav Škarvada <jskarvad@redhat.com> - 0-0.18.20130730git797bef13
- Rebuilt for new gnuradio

* Mon Sep  2 2013 Jaroslav Škarvada <jskarvad@redhat.com> - 0-0.17.20130730git797bef13
- Rebuilt for new gnuradio

* Tue Aug  6 2013 Jaroslav Škarvada <jskarvad@redhat.com> - 0-0.16.20130730git797bef13
- Used unversioned doc directory
  Resolves: rhbz#993801

* Tue Jul 30 2013 Petr Machata <pmachata@redhat.com> - 0-0.15.20130730git797bef13
- Rebuild for boost 1.54.0

* Tue Jul 30 2013 Jaroslav Škarvada <jskarvad@redhat.com> - 0-0.14.20130730git797bef13
- New version

* Tue May 28 2013 Jaroslav Škarvada <jskarvad@redhat.com> - 0-0.13.20130409gitf25d21f5
- Rebuilt for new gnuradio

* Tue Apr  9 2013 Jaroslav Škarvada <jskarvad@redhat.com> - 0-0.12.20130409gitf25d21f5
- Fixed modes_gui build (missed requirements)

* Tue Apr  9 2013 Jaroslav Škarvada <jskarvad@redhat.com> - 0-0.11.20130409gitf25d21f5
- New git snapshot
- Dropped add-soname patch (upstreamed)

* Thu Mar 21 2013 Jaroslav Škarvada <jskarvad@redhat.com> - 0-0.10.20120905git6c7a7370
- Rebuilt for new gnuradio

* Thu Feb 28 2013 Jaroslav Škarvada <jskarvad@redhat.com> - 0-0.9.20120905git6c7a7370
- Rebuilt for new gnuradio

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.8.20120905git6c7a7370
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Jan  4 2013 Jaroslav Škarvada <jskarvad@redhat.com> - 0-0.7.20120905git6c7a7370
- Rebuilt for new gnuradio

* Mon Nov 12 2012 Jaroslav Škarvada <jskarvad@redhat.com> - 0-0.6.20120905git6c7a7370
- Added swig build requires

* Fri Oct 26 2012 Jaroslav Škarvada <jskarvad@redhat.com> - 0-0.5.20120905git6c7a7370
- Rebuilt for new gnuradio

* Tue Sep 25 2012 Jaroslav Škarvada <jskarvad@redhat.com> - 0-0.4.20120905git6c7a7370
- Hardcoded path for sbindir to silent depcheck errors

* Mon Sep 24 2012 Jaroslav Škarvada <jskarvad@redhat.com> - 0-0.3.20120905git6c7a7370
- Packaged doxygen generated documentation as doc subpackage

* Wed Sep 19 2012 Jaroslav Škarvada <jskarvad@redhat.com> - 0-0.2.20120905git6c7a7370
- Used macro for sbindir

* Wed Sep  5 2012 Jaroslav Škarvada <jskarvad@redhat.com> - 0-0.1.20120905git6c7a7370
- Initial version
